Subject: [alpine-user] Installing in data mode

From: Alexander Iliev <[email-masked]>
Date: Wed, 6 May 2015 01:33:11 +0300

Hi,

I’m trying out alpine linux and I really like most of the design choices.

However I’m having trouble installing alpine linux in data mode. I’ve read several times [1], [2], [3], [4], [5] and [6] and it looks like I’m missing something.

What I’m trying to achieve is a run-from-ram system (booting from CDROM if possible) and having my disk mounted as /var and also storing lbu and apk cache in a subdirectory under /var. I’m trying to set this up in a virtual machine.

What I’ve tried:

* setup-alpine;
* setup-disk -m data;
* googling.

The setup-lbu part of the setup-alpine script failed consistently when I tried to point it to a partition or a pre-mounted directory. It seemed to have worked once I attached a floppy image and pointed it there, but then it looks like nothing gets actually installed or lbu backed up.

I tried `setup-disk -m data -s 0 /mnt` with pre-created and pre-mounted partitions (/dev/sda2 on /mnt, /dev/sda1 on /mnt/mydata) and it created a whole filesystem hierarchy in /mnt, while I was aiming at having /dev/sda2 as /var only.

The wiki documentation IMO is pretty confusing regarding the different installation modes. For example — I don’t understand whether I *must* install the OS to disk (although I want it in data mode) or I could run it from the CDROM (ISO) while having my modifications (root password, installed packages) loaded?

I assume that I’ve misread and/or misunderstood some bits from the wiki, any help will be greatly appreciated!

Links:
1. http://wiki.alpinelinux.org/wiki/Installation
2. http://wiki.alpinelinux.org/wiki/Alpine_setup_scripts
3. http://wiki.alpinelinux.org/wiki/Alpine_local_backup
4. http://wiki.alpinelinux.org/wiki/Setting_up_disks_manually
5. http://wiki.alpinelinux.org/wiki/Tutorials_and_Howtos#Storage
6. http://wiki.alpinelinux.org/wiki/Alpine_Linux_package_management

Regards,
--
alexander iliev

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---